main = ScriptThread("FuturisticHUD")

include("../../internal/extensions/CScriptThread.lua")
include("FuturisticHUD_GUI.lua")
include("FuturisticHUDManager.lua")


function FuturisticHUDMainInit()
--===============================================================================================CUSTOMIZATION
	FuturisticHUDGUI.navButtons = {
	["menuOpen"]  = {["keys"] = {KEY_F7, KEY_NUMPAD1}, ["menu"] = "FuturisticHUDMain"},
	["menuClose"] = {["keys"] = {}},
	["navUp"] 	  = {["keys"] = {KEY_NUMPAD8, KEY_UP}},
	["navDown"]   = {["keys"] = {KEY_NUMPAD2, KEY_DOWN}},
	["select"] 	  = {["keys"] = {KEY_NUMPAD5, KEY_RIGHT}},
	["navBack"]   = {["keys"] = {KEY_NUMPAD0, KEY_LEFT}}}
	
--========================================================================================END=OF=CUSTOMIZATION

	-- Main Menu
	FuturisticHUDGUI.createMenu("FuturisticHUDMain", "", "~w~FuturisticHUD", 0.90, 0.04, 0.150, 0.0425, 0.000, 0.55, 4)
	FuturisticHUDGUI.addButton("FuturisticHUDMain", "~c~HUD", FuturisticHUDManager.FuturisticHUDToggle, nil, true, 0.38, 4) 
	FuturisticHUDGUI.addButton("FuturisticHUDMain", "~c~HUD Settings", FuturisticHUDGUI.setActiveMenu, "HUDSettings", true, 0.38, 4) 
	
	FuturisticHUDGUI.createMenu("HUDSettings", "FuturisticHUDMain", "~w~FuturisticHUD", 0.90, 0.04, 0.150, 0.0425, 0.000, 0.55, 4)
	FuturisticHUDGUI.addButton("HUDSettings", "~h~On by default:", FuturisticHUDGUI.setActiveMenu, "HUDSettings", false, 0.38, 4) 
	FuturisticHUDGUI.addButton("HUDSettings", "~c~Indicator", FuturisticHUDManager.FutureHUDIndiToggle, nil, true, 0.38, 4) 
	
	

end

function main:Run()
	FuturisticHUDMainInit()
	FuturisticHUDManager.init()
	
	
	while self:IsRunning() do
		if(plyPed ~= natives.PLAYER.PLAYER_PED_ID()) then plyPed = natives.PLAYER.PLAYER_PED_ID() end
		if(ply ~= natives.PLAYER.PLAYER_ID()) then ply = natives.PLAYER.PLAYER_ID() end
		if(veh ~= natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true)) then veh = natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true) end


		FuturisticHUDGUI.tick()
		FuturisticHUDManager.tick()
		
		self:Wait(0)
	end
end

function main:OnError()
	self:Kill()
	addon.Load("FuturisticHUD")
end

main:Register()

	